io.vertx.rxjava.ext.web

## Class Locale

- java.lang.Object
- - io.vertx.rxjava.ext.web.Locale

-     public class Locale
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locale(Locale delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `country()` Returns the country as reported by the HTTP client.
    `static Locale` | `create()`
    `static Locale` | `create(String language)`
    `static Locale` | `create(String language, String country)`
    `static Locale` | `create(String language, String country, String variant)`
    `Object` | `getDelegate()`
    `String` | `language()` Returns the language as reported by the HTTP client.
    `static Locale` | `newInstance(Locale arg)`
    `String` | `variant()` Returns the variant as reported by the HTTP client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Locale

          public Locale(Locale delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### create

          public static Locale create()

    - #### create

          public static Locale create(String language)

    - #### create

          public static Locale create(String language,
                                      String country)

    - #### create

          public static Locale create(String language,
                                      String country,
                                      String variant)

    - #### language

          public String language()

      Returns the language as reported by the HTTP client.
      Returns:
        language

    - #### country

          public String country()

      Returns the country as reported by the HTTP client.
      Returns:
        variant

    - #### variant

          public String variant()

      Returns the variant as reported by the HTTP client.
      Returns:
        variant

    - #### newInstance

          public static Locale newInstance(Locale arg)

Copyright © 2016. All rights reserved.